Package: org.codehaus.groovy.runtime

## [Java] Class NumberAwareComparator<T>

- org.codehaus.groovy.runtime.NumberAwareComparator

- All Implemented Interfaces and Traits:
    Comparator, Serializable

      public class NumberAwareComparator
      extends Object

  Compares two objects using Groovy's friendly comparison algorithm, i.e. handles nulls gracefully (nul being less than everything else) and performs numeric type coercion if required.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `compare(T o1, T o2)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public int compare(T o1, T o2)